html {
  scroll-behavior: smooth;
  scroll-padding-top: 80px;
}

@media (prefers-reduced-motion: reduce) {
  *, ::before, ::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}


.main_banner {
  background-image: url("../assets/main_banner.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to top, transparent 10%, black 20%);
  mask-image: linear-gradient(to top, transparent 10%, black 20%);
}

.patreon_banner {
  background-image: url("../assets/patreon.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to bottom,
      transparent 0%,
      black 20%,
      black 80%,
      transparent 100%);
  /* Standard property */
  mask-image: linear-gradient(to bottom,
      transparent 0%,
      black 20%,
      black 80%,
      transparent 100%);
}

.game_mods_banner {
  background-image: url("../assets/game_mods_banner.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to bottom,
      transparent 0%,
      black 20%,
      black 80%,
      transparent 100%);
  /* Standard property */
  mask-image: linear-gradient(to bottom,
      transparent 0%,
      black 20%,
      black 80%,
      transparent 100%);
}

.bg_img_01 {
  background-image: url("../assets/bg_img_01.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to bottom,
      transparent 0%,
      black 20%,
      black 80%,
      transparent 100%);
  /* Standard property */
  mask-image: linear-gradient(to bottom,
      transparent 0%,
      black 20%,
      black 80%,
      transparent 100%);
}

#myBtn {
  display: block;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: #0e0c0b;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease-in, visibility 0.3s;
}

#myBtn.transition {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.about_us_banner {
  background-image: url("../assets/about_us_banner.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to top, transparent 10%, black 20%);
  mask-image: linear-gradient(to top, transparent 10%, black 20%);
}

.bg_img_02 {
  background-image: url("../assets/bg_img_02.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to top, transparent 10%, black 20%);
  mask-image: linear-gradient(to top, transparent 10%, black 20%);
}

.banner_01 {
  background-image: url("../assets/banner_01.jpg");
  background-size: cover;
  /* Scales the image to fill the container */
  background-position: center;
  /* Centers the image */
  background-repeat: no-repeat;
  position: relative;
  -webkit-mask-image: linear-gradient(to top, transparent 10%, black 20%);
  mask-image: linear-gradient(to top, transparent 10%, black 20%);
}

.header_icon {
  display: block;
}


@media (max-width: 400px) {
  .header_icon {
    display: none;
  }
}